ChangeUp DMS

Fetch and filter donations

get

List all donation(s) associated with a partner account in a paginated list.

Query parameters
limitintegerOptional

Limit of records to return

Example: 30
pageintegerOptional

Which page to return. This endpoint is paginated.

Example: 1
charityIdstringOptional

(Optional) - Filter by charity Id

Example: cml8u99jg0004jy017qbr7gtf
transactionIdstringOptional

(Optional) - Your transaction id used to create the donation(s)

Example: p12444
startDatestringOptional

(Optional) - Filter donations with a start date MM/DD/YYY

Example: 05-10-2025
endDatestringOptional

(Optional) - Filter donations with a end date

Example: 06-10-2025
sortOrderstringOptional

(Optional) - sort asc or desc

Example: desc
sortBystringOptional

(Optional) - sort by any field

Example: transactionId
Header parameters
x-api-keyanyOptional

(Required)

Example: ad44f9tolL0Q64zihoeuFTkA6wRqHWtNRZEaqfJghr6
x-client-idanyOptional

(Required)

Example: 64ea17367eb6abe306f06bc5bcb918cc4
Responses
200

Sucess

application/json
get
/v1/donations
200

Sucess

Create donation

post

Send a single or batch of donations.

Creates a single donation or batch donations. Batch donations accepts a limit of 15 per request. to any nonprofit.

Note: To schedule a future to be posted at a future date, set the delayReportBy field (e.g., a value of 5 will delay the report for 5 days). This allows you to cancel a donation before it is finalized. Please note that once a donation is posted after the delay period, it cannot be cancelled. The maximum allowable delay is 90 days.

Header parameters
x-api-keyanyOptional

(Required) - API Key Secret

Example: ad44f9tolL0Q64zihoeuFTkA6wRqHWtNRZEaqfJghr6
x-client-idanyOptional

(Required) - Client Secret

Example: 64ea17367eb6abe306f06bc5bcb918cc4
Body
typestringOptional
requiredstring[]Optional
Responses
post
/v1/donations

Fetch donation by id

get

Use to fetch the status and details of a single donation by Id

Path parameters
idstringRequired

(Required) - donation id

Example: cmmz7tdu7000mml01kabz72aa
Header parameters
x-api-keystringOptional

(Required)

Example: ad44f9tolL0Q64zihoeuFTkA6wRqHWtNRZEaqfJghr6
x-client-idstringOptional

(Required)

Example: 64ea17367eb6abe306f06bc5bcb918cc4
Responses
200

Success

application/json
idstringOptional
partnerIdstringOptional
dafstringOptional
dafAccountTypestringOptional
amountintegerOptional
causeIdstringOptional
charityIdstringOptional
transactionIdstringOptional
currencystringOptional
countrystring · colorOptional
jobIdstringOptional
invoiceIdnullOptional
receiptnullOptional
environmentstringOptional
typestringOptional
transactionOrderDatestring · date-timeOptional
reasonstringOptional
sourcestringOptional
widgetIdstringOptional
delayReportByintegerOptional
statusstringOptional
invoicedbooleanOptional
generateReceiptbooleanOptional
invoicedAtnullOptional
reportTransactionAtstring · date-timeOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
benevityDonationCreatedAtnullOptional
benevityResponsearrayOptional
get
/v1/donations/{id}
200

Success

Cancel a donation

patch

Cancel a donation that has not been posted to a DAF. When a donation is posted, it goes from:

PENDING -> COMPLETED

Donation(s) marked as COMPLETED cannot be canceled.

Once a donation is canceled, the status will be marked as CANCELED.

Field

Type

Description

reason

String

Optional Reason for canceling the donation

Path parameters
idstringRequired

(Required) - donation id

Example: cmmz7tdu7000mml01kabz72aa
Header parameters
x-api-keystringOptional

(Required)

Example: ad44f9tolL0Q64zihoeuFTkA6wRqHWtNRZEaqfJghr6
x-client-idstringOptional

(Required)

Example: 64ea17367eb6abe306f06bc5bcb918cc4
Body
reasonstringOptional
Responses
200

Success

application/json
messagestringOptional
patch
/v1/donations/{id}/cancel
200

Success

Last updated